Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate
Class ConstraintEnforcementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.vividsolutions.jts.triangulate.ConstraintEnforcementException

All Implemented Interfaces:
  java.io.Serializable

    public class ConstraintEnforcementException

extends java.lang.RuntimeException

Indicates a failure during constraint enforcement.

Version:
  1.0
Author:
  Martin Davis
See Also:
  Serialized Form

Constructor Summary
`ConstraintEnforcementException(java.lang.String msg)` Creates a new instance with a given message.
`ConstraintEnforcementException(java.lang.String msg, Coordinate pt)` Creates a new instance with a given message and approximate location.

Method Summary
`Coordinate` | `getCoordinate()` Gets the approximate location of this error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstraintEnforcementException

    public ConstraintEnforcementException(java.lang.String msg)

  Creates a new instance with a given message.

  Parameters:
    `msg` - a string

### ConstraintEnforcementException

    public ConstraintEnforcementException(java.lang.String msg,
                                          Coordinate pt)

  Creates a new instance with a given message and approximate location.

  Parameters:
    `msg` - a string
    `pt` - the location of the error

Method Detail

### getCoordinate

    public Coordinate getCoordinate()

  Gets the approximate location of this error.

  Returns:
    a location

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD